import { ThemingProps } from '@chakra-ui/system';
import { U as UseCheckboxGroupProps } from './checkbox-types-85aeb1f7.js';
import 'react';

interface CheckboxGroupProps extends UseCheckboxGroupProps, Omit<ThemingProps<"Checkbox">, "orientation"> {
    children?: React.ReactNode;
}
/**
 * Used for multiple checkboxes which are bound in one group,
 * and it indicates whether one or more options are selected.
 *
 * @see Docs https://chakra-ui.com/checkbox
 */
declare function CheckboxGroup(props: CheckboxGroupProps): JSX.Element;
declare namespace CheckboxGroup {
    var displayName: string;
}

export { CheckboxGroup, CheckboxGroupProps };
