import { PropsOf, chakra } from '@chakra-ui/system';

interface CheckboxIconProps extends PropsOf<typeof chakra.svg> {
    /**
     * @default false
     */
    isIndeterminate?: boolean;
    /**
     * @default false
     */
    isChecked?: boolean;
}
/**
 * CheckboxIcon is used to visually indicate the checked or indeterminate
 * state of a checkbox.
 *
 * @todo allow users pass their own icon svgs
 */
declare function CheckboxIcon(props: CheckboxIconProps): JSX.Element | null;

export { CheckboxIcon, CheckboxIconProps };
